Package org.lwjgl.opengl

# Class EXTPackedFloat

java.lang.Object
org.lwjgl.opengl.EXTPackedFloat

public final class EXTPackedFloat extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_R11F_G11F_B10F_EXT`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT:
`static final int`
`GL_RGBA_SIGNED_COMPONENTS_EXT`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_UNSIGNED_INT_10F_11F_11F_REV_EXT`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, GetSeparableFilter, ColorTable, ColorSubTable, and GetColorTable:
`static final int`
`GLX_RGBA_UNSIGNED_FLOAT_BIT_EXT`
Returned by glXGetFBConfigAttrib (when <attribute> is set to GLX_RENDER_TYPE) and accepted by the <attrib_list> parameter of glXChooseFBConfig (following the GLX_RENDER_TYPE token):
`static final int`
`GLX_RGBA_UNSIGNED_FLOAT_TYPE_EXT`
Accepted as values of the <render_type> arguments in the glXCreateNewContext and glXCreateContext functions
`static final int`
`WGL_TYPE_RGBA_UNSIGNED_FLOAT_EXT`
Accepted as a value in the <piAttribIList> and <pfAttribFList> parameter arrays of wglChoosePixelFormatARB, and returned in the <piValues> parameter array of wglGetPixelFormatAttribivARB, and the <pfValues> parameter array of wglGetPixelFormatAttribfvARB:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_R11F_G11F_B10F_EXT

public static final int GL_R11F_G11F_B10F_EXT
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_10F_11F_11F_REV_EXT

public static final int GL_UNSIGNED_INT_10F_11F_11F_REV_EXT
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, GetTexImage, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, GetHistogram, GetMinmax, ConvolutionFilter1D, ConvolutionFilter2D, ConvolutionFilter3D, GetConvolutionFilter, SeparableFilter2D, GetSeparableFilter, ColorTable, ColorSubTable, and GetColorTable:

See Also:
  - Constant Field Values

### GL_RGBA_SIGNED_COMPONENTS_EXT

public static final int GL_RGBA_SIGNED_COMPONENTS_EXT
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### WGL_TYPE_RGBA_UNSIGNED_FLOAT_EXT

public static final int WGL_TYPE_RGBA_UNSIGNED_FLOAT_EXT
Accepted as a value in the <piAttribIList> and <pfAttribFList> parameter arrays of wglChoosePixelFormatARB, and returned in the <piValues> parameter array of wglGetPixelFormatAttribivARB, and the <pfValues> parameter array of wglGetPixelFormatAttribfvARB:

See Also:
  - Constant Field Values

### GLX_RGBA_UNSIGNED_FLOAT_TYPE_EXT

public static final int GLX_RGBA_UNSIGNED_FLOAT_TYPE_EXT
Accepted as values of the <render_type> arguments in the glXCreateNewContext and glXCreateContext functions

See Also:
  - Constant Field Values

### GLX_RGBA_UNSIGNED_FLOAT_BIT_EXT

public static final int GLX_RGBA_UNSIGNED_FLOAT_BIT_EXT
Returned by glXGetFBConfigAttrib (when <attribute> is set to GLX_RENDER_TYPE) and accepted by the <attrib_list> parameter of glXChooseFBConfig (following the GLX_RENDER_TYPE token):

See Also:
  - Constant Field Values